Loading...
Searching...
No Matches
RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm Struct Reference

`#include <Tautomer.h>`

## Public Member Functions

| SubstructTerm (std::string aname, std::string asmarts, int ascore, std::vector< int > reqElements={}, std::string connSmarts="")
| SubstructTerm (const SubstructTerm &rhs)=default
SubstructTerm & | operator= (const SubstructTerm &rhs)=default
bool | operator== (const SubstructTerm &rhs) const

## Public Attributes

std::string | name
std::string | smarts
int | score
RWMol | matcher
std::vector< int > | requiredElements
std::string | connectivitySmarts
RWMol | connectivityMatcher

## Detailed Description

The SubstructTerm controls how Tautomers are generated Each Term is defined by a name, smarts pattern and score For example, the C=O term is defined as SubstructTerm("C=O", "[#6]=,:[#8]", 2) This gets a score of +2 for each Carbon doubly or aromatically Bonded to an Oxygen. For a list of current definitions, see getDefaultTautomerScoreSubstructs

Definition at line 45 of file MolStandardize/Tautomer.h.

## Constructor & Destructor Documentation

## SubstructTerm() [1/2]

RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::SubstructTerm | ( | std::string | aname,
|  | std::string | asmarts,
|  | int | ascore,
|  | std::vector< int > | reqElements = {},
|  | std::string | connSmarts = "" )

Referenced by operator=(), operator==(), and SubstructTerm().

## SubstructTerm() [2/2]

RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::SubstructTerm | ( | const SubstructTerm & | rhs | ) |

default

References SubstructTerm().

## Member Function Documentation

## operator=()

SubstructTerm & RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::operator= | ( | const SubstructTerm & | rhs | ) |

default

References SubstructTerm().

## operator==()

bool RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::operator== | ( | const SubstructTerm & | rhs | ) | const

inline

Definition at line 63 of file MolStandardize/Tautomer.h.

References name, score, smarts, and SubstructTerm().

## Member Data Documentation

## connectivityMatcher

RWMol RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::connectivityMatcher

Definition at line 55 of file MolStandardize/Tautomer.h.

## connectivitySmarts

std::string RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::connectivitySmarts

Definition at line 54 of file MolStandardize/Tautomer.h.

## matcher

RWMol RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::matcher

Definition at line 49 of file MolStandardize/Tautomer.h.

## name

std::string RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::name

Definition at line 46 of file MolStandardize/Tautomer.h.

Referenced by operator==().

## requiredElements

std::vector<int> RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::requiredElements

Definition at line 52 of file MolStandardize/Tautomer.h.

## score

int RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::score

Definition at line 48 of file MolStandardize/Tautomer.h.

Referenced by operator==().

## smarts

std::string RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm::smarts

Definition at line 47 of file MolStandardize/Tautomer.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- MolStandardize/Tautomer.h